org.keycloak.models

## Interface KeycloakContext

- All Known Implementing Classes:
    DefaultKeycloakContext

      public interface KeycloakContext

  Author:
    Stian Thorgersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationSessionModel` | `getAuthenticationSession()` Get current AuthenticationSessionModel, can be null out of the AuthenticationSession context.
    `URI` | `getAuthServerUrl()`
    `ClientModel` | `getClient()`
    `ClientConnection` | `getConnection()`
    `<T> T` | `getContextObject(Class<T> clazz)`
    `String` | `getContextPath()`
    `RealmModel` | `getRealm()`
    `javax.ws.rs.core.HttpHeaders` | `getRequestHeaders()`
    `KeycloakUriInfo` | `getUri()` Returns the URI assuming it is a frontend request.
    `KeycloakUriInfo` | `getUri(UrlType type)` Returns the URI.
    `Locale` | `resolveLocale(UserModel user)`
    `void` | `setAuthenticationSession(AuthenticationSessionModel authenticationSession)`
    `void` | `setClient(ClientModel client)`
    `void` | `setRealm(RealmModel realm)`

- - ### Method Detail

    - #### getAuthServerUrl

          URI getAuthServerUrl()

    - #### getContextPath

          String getContextPath()

    - #### getUri

          KeycloakUriInfo getUri()

      Returns the URI assuming it is a frontend request. To resolve URI for a backend request use `getUri(UrlType)`
      Returns:

    - #### getUri

          KeycloakUriInfo getUri(UrlType type)

      Returns the URI. If a frontend request (from user-agent) @frontendRequest should be set to true. If a backend request (request from a client) should be set to false. Depending on the configure hostname provider it may return a hard-coded base URL for frontend request (for example https://auth.mycompany.com) and use the request URL for backend requests. Frontend URI should also be used for realm issuer fields in tokens.
      Parameters:
        `type` - the type of the request
      Returns:

    - #### getRequestHeaders

          javax.ws.rs.core.HttpHeaders getRequestHeaders()

    - #### getContextObject

          <T> T getContextObject(Class<T> clazz)

    - #### getRealm

          RealmModel getRealm()

    - #### setRealm

          void setRealm(RealmModel realm)

    - #### getClient

          ClientModel getClient()

    - #### setClient

          void setClient(ClientModel client)

    - #### getConnection

          ClientConnection getConnection()

    - #### resolveLocale

          Locale resolveLocale(UserModel user)

    - #### getAuthenticationSession

          AuthenticationSessionModel getAuthenticationSession()

      Get current AuthenticationSessionModel, can be null out of the AuthenticationSession context.
      Returns:
        current AuthenticationSessionModel or null

    - #### setAuthenticationSession

          void setAuthenticationSession(AuthenticationSessionModel authenticationSession)

Copyright © 2020 JBoss by Red Hat. All rights reserved.